%global github_name pytoml

Name:           python-%{github_name}
Version:        0.1.18
Release:        2
Summary:        Parser for TOML
License:        MIT
URL:            https://github.com/avakar/%{github_name}
Source0:        https://github.com/avakar/%{github_name}/archive/v%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

%global my_description \
This package aims at being a specs-conforming and\
strict parser and writer for TOML files.

%description
%{my_description}

%package -n     python2-%{github_name}
Summary:        %{summary}
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%{?python_provide:%python_provide python2-%{github_name}}

%description -n python2-%{github_name}
%{my_description}

%package -n     python3-%{github_name}
Summary:        %{summary}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{github_name}}

%description -n python3-%{github_name}
%{my_description}

%prep
%autosetup -p1 -n %{github_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{github_name}
%doc README.md
%license LICENSE
%{python2_sitelib}/%{github_name}-%{version}*-py%{python2_version}.egg-info/
%{python2_sitelib}/%{github_name}/

%files -n python3-%{github_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{github_name}-%{version}*-py%{python3_version}.egg-info/
%{python3_sitelib}/%{github_name}/

%changelog
* Tue Dec 3 2019 mengxian <mengxian@huawei.com> - 0.1.18-2
- Package init
